Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 207391 - security.h includes Xauth.h which is in libXau
Summary: security.h includes Xauth.h which is in libXau
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-proto-devel
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-20 21:58 UTC by Søren Sandmann Pedersen
Modified: 2018-04-11 07:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-27 20:57:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 12645 None None None Never

Description Søren Sandmann Pedersen 2006-09-20 21:58:23 UTC
The file security.h includes Xauth.h which is in the libXau-devel package; we
can't add a dependency on libXau devel though, as that would produce cycles in
the dependency graph.

Comment 1 Adam Jackson 2007-06-06 22:14:13 UTC
Sure you can.  Just means you get either neither package, or both.  Right?

Comment 2 Patrice Dumas 2007-06-07 06:12:38 UTC
Is it only a runtime dependency cycle? In that case it isn't
problematic, but if it is a build-time dependency cycle, then
it is an issue.

Comment 3 Adam Jackson 2007-09-27 20:57:09 UTC
Okay, I see the problem.  This would be an issue for arch bootstrap, because:

- you need to build xorg-x11-proto-devel first, to build the rest of the X stack
- but if you made proto-devel Require: libXau-devel, you wouldn't be able to
satisfy the builddeps for libXau.

No big deal though, we'll just hide it behind %if build_bootstrap like we
already do for libGL-devel.  Fixed in proto-devel 7.3-2.

Comment 4 Patrice Dumas 2007-09-30 12:58:10 UTC
I think that this issue should be reported upstream. In the
mean time your solution seems to be the best one.

Comment 5 Matěj Cepl 2007-10-01 21:56:44 UTC
Filed upstream -- https://bugs.freedesktop.org/show_bug.cgi?id=12645
Please check, that I haven't screwed up that upstream report.

Comment 6 Patrice Dumas 2007-10-02 06:43:32 UTC
(In reply to comment #5)
> Filed upstream -- https://bugs.freedesktop.org/show_bug.cgi?id=12645
> Please check, that I haven't screwed up that upstream report.

The upstream bug report is not very clear. There are mentions to
the rpms, it is not very clean. In my opinion it should be something 
like (replace <foo> with the Xorg package name that contains security.h):

The file security.h in package <foo> includes Xauth.h which is in the 
libXau package. But libXau also requires security.h. Therefore there
is a build-time dependency cycle that complicates bootstraping builds
of those packages.

Comment 7 Matěj Cepl 2007-10-02 09:40:13 UTC
Just go ahead and put there a comment, please.

Comment 8 Patrice Dumas 2007-10-02 10:06:01 UTC
What should I put instead of <foo>? Otherwise said what is the
upstream package containing security.h?

I don't have an account in the Xorg bugzilla, so I'd prefer not
to put it myself, but if I have to I'll create an account.

Comment 9 Matěj Cepl 2007-10-02 10:29:26 UTC
Better -- https://bugs.freedesktop.org/show_bug.cgi?id=12645#c1 ???

Comment 10 Patrice Dumas 2007-10-02 10:37:18 UTC
Perfect.


Note You need to log in before you can comment on or make changes to this bug.